Package org.apache.wiki.tags

# Class AdminBeanIteratorTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.IteratorTag
org.apache.wiki.tags.AdminBeanIteratorTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `jakarta.servlet.jsp.tagext.TryCatchFinally`, `Serializable`

public class AdminBeanIteratorTag extends IteratorTag
Provides an iterator for all AdminBeans of a given type.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.IteratorTag

`m_iterator, m_pageName, m_wikiContext`

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`AdminBeanIteratorTag()`

## Method Summary

Modifier and Type
Method
Description
`void`
`resetIterator()`
Override this method to reset your own iterator.
`void`
`setType(String type)`
Set the type of the bean.

### Methods inherited from class org.apache.wiki.tags.IteratorTag

`clearList, doAfterBody, doCatch, doEndTag, doFinally, doStartTag, setList, setList`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### AdminBeanIteratorTag

public AdminBeanIteratorTag()

## Method Details

### setType

public void setType(String type)
Set the type of the bean.

Parameters:
  `type` - Type to set

### resetIterator

public void resetIterator()
Override this method to reset your own iterator.

Overrides:
  `resetIterator` in class `IteratorTag`